package app.utils;

import app.data.entity.Player;
import com.vaadin.flow.component.html.Label;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public class EntityComponentUtils {
    private EntityComponentUtils(){}

    public static HorizontalLayout getPlayerLabel(Player player) {
        Label name = new Label(player.getName());
        name.addClassName("bold-label");
        Label nickname = new Label(String.format("(%s)", player.getNickname()));
        nickname.addClassName("nickname-label");
        return new HorizontalLayout(name, nickname);
    }
}
